Name:          poedit
Version:       3.0
Release:       1mamba
Summary:       A cross-platform gettext catalogs (.po files) editor
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://poedit.net/
Source:        https://github.com/vslavik/poedit/releases/download/v%{version}-oss/poedit-%{version}.tar.gz
Patch:         %{name}-1.4.6.1-desktop.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libboost-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libgtkspell3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblucene++-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwx_baseu-devel
BuildRequires: libwx_gtk3u-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: libwx_baseu-devel >= 3.1.5
BuildRequires: libwx_gtk3u-devel >= 3.1.5

%description
poEdit is cross-platform gettext catalogs (.po files) editor.
It is built with wxWidgets toolkit and can run on any platform supported by it.
It aims to provide more convenient approach to editing catalogs than launching vi and editing the file by hand.

%debug_package

%prep
%setup -q
#%patch -p1

%build
%configure \
   --libexecdir=%{_libdir}/poedit \
   --with-wx-config=/usr/bin/wx-config-unicode-3

%make CPPFLAGS+=' -DUCHAR_TYPE=uint16_t'

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/poedit
%{_datadir}/poedit/*
%{_datadir}/applications/net.poedit.Poedit*.desktop
%{_datadir}/metainfo/net.poedit.Poedit.appdata.xml
%{_datadir}/icons/hicolor/*/apps/net.poedit.Poedit.png
%{_datadir}/icons/hicolor/scalable/apps/net.poedit.Poedit.svg
%{_mandir}/man1/poedit.1*
%doc AUTHORS COPYING
#NEWS README TODO

%changelog
* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2mamba
- rebuilt with wxWidgets 3.1.5

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Tue Sep 01 2020 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Jun 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Wed Mar 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.7.1-1mamba
- update to 1.8.7.1

* Tue Jan 15 2013 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Wed Jan 02 2013 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Thu May 27 2010 Automatic Build System <autodist@mambasoft.it> 1.4.6.1-1mamba
- automatic update by autodist

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 1.4.2-2mamba
- automatic rebuild by autodist

* Thu Oct 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Wed Jun 06 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.3.6-1mamba
- package created by autospec
